<div class="admin-container">
    <app-admin-sidebar></app-admin-sidebar>
    <div class="admin-main-container">
        <table mat-table  [dataSource]="tableDataSource">
            <ng-container matColumnDef="requestName">
                <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Request</th>
                <td mat-cell class="display-col" *matCellDef="let userRequest">{{userRequest.reason}}</td>
            </ng-container>
        
            <!-- <ng-container matColumnDef="requestStatus">
                <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Status</th>
                <td mat-cell class="display-col" *matCellDef="let userRequest">{{userRequest.status}}</td>
            </ng-container> -->
        
                <ng-container  matColumnDef="approveBtnColumn">
                    <th mat-header-cell-class='table-col' class='display-col' *matHeaderCellDef>Approve Btn</th>
                    <td mat-cell class='display-col' *matCellDef="let userRequest">
                        <button  mat-btn class="approve-btn btn" (click)="onApproveClick(userRequest)">Approve</button>    
                    </td>
                </ng-container>
            
                <ng-container  matColumnDef="deleteBtnColumn">
                    <th mat-header-cell-class='table-col' class='display-col' *matHeaderCellDef>Delete Btn</th>
                    <td mat-cell class='display-col' *matCellDef="let userRequest">
                        <button mat-btn class="delete-btn btn" (click)="onDeleteClick(userRequest)">Delete</button>
                    </td>
                </ng-container>
            
            <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
            <tr mat-row *matRowDef="let myRowData; columns:columnsToDisplay"></tr>
        </table>
        <mat-paginator aria="select pages" class="paginator" [pageSizeOptions]="[5,10,15]"></mat-paginator>
    </div>
</div>





